## octave-geometry 1.5.0

=== DESCRIPTION ===
Name: Geometry
Version: 1.5.0
Date: 2012-06-05
Author: David Legland <david.legland@grignon.inra.fr>, José Luis García Pallero <jgpallero@gmail.com>, Juan Pablo Carbajal <carbajal@ifi.uzh.ch>, Simeon Simeonov <sss41@cam.ac.uk>
Maintainer: Juan Pablo Carbajal <carbajal@ifi.uzh.ch>
Title: Computational Geometry
Description: Library for geometric computing extending MatGeom functions. Useful to create, transform, manipulate and display geometric primitives.
Depends: octave (>= 3.4.0), general (>= 1.3.0)
Autoload: yes
License: GPLv3+, FreeBSD
Url: http://octave.sf.net, http://matgeom.sf.net, http://davis.wpi.edu/~matt/courses/clipping/, https://bitbucket.org/jgpallero/octclip

=== inst/octclip/src/Makefile ===
# -*- coding: utf-8 -*-
ifndef MKOCTFILE
MKOCTFILE := mkoctfile
endif

CLIPOBJECT = compilador.o errores.o eucli.o fgeneral.o greiner.o polig.o \
             ptopol.o segmento.o ventorno.o
FLAGS = -Wall -Wextra

%.o: %.c
	$(MKOCTFILE) $(FLAGS) -I. -c $<

%.oct: %.cc $(CLIPOBJECT)
	$(MKOCTFILE) $< $(CLIPOBJECT) $(FLAGS) -v  -I.

all: _oc_polybool.oct

clean:
	rm -rf *.o *~

=== debian/changelog ===
octave-geometry (1.5.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.5.0
  * debian/watch: Use the SourceForge redirector
  * Drop obsolete patch arch-indep-path-for-pkg-add-del
  * debian/control: Build-depend on octave-general
  * Refresh patch clean-variables-in-pkg-add-del
  * debian/rules: Fix the permission of some installed *.m files

  [ Sébastien Villemot ]
  * debian/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 10 Jun 2012 11:50:35 +0200

octave-geometry (1.4.1-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Initial release (closes: #664974)

 -- Thomas Weber <tweber@debian.org>  Mon, 26 Mar 2012 00:32:36 +0200

=== debian/control ===
Source: octave-geometry
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1), python-lxml,
 gnuplot-nox, octave-general (>= 1.3.0)
Standards-Version: 3.9.3
Homepage: http://octave.sourceforge.net/geometry/
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-geometry.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-geometry.git

Package: octave-geometry
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}, python,
 python-lxml
Description: geometric computing functions for Octave
 This package extends the MatGeom functions for Octave, a scientific
 computing software.  It is useful to create, transform, manipulate and
 display geometric primitives in 2D.  It also contains functions for
 performing boolean operations between two polygons and to manipulate files
 in SVG and gmsh formats.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

pkg = octave-geometry

install/$(pkg)::
	# Remove file with Python bytecode
	find debian/$(pkg) -name \*.pyc -exec rm \{} \;
	# Fix permission of some *.m files
	@echo "************************************************************"
	@echo "Warning: check whether this permission fix is still needed:"
	find debian/$(pkg) -name \*.m -exec chmod -x \{} \;
	@echo "************************************************************"

## octave-geometry 1.6.0

=== DESCRIPTION ===
Name: Geometry
Version: 1.6.0
Date: 2012-10-12
Author: David Legland <david.legland@grignon.inra.fr>, Jose Luis Garcia Pallero <jgpallero@gmail.com>, Juan Pablo Carbajal <carbajal@ifi.uzh.ch>, Simeon Simeonov <sss41@cam.ac.uk>
Maintainer: Juan Pablo Carbajal <carbajal@ifi.uzh.ch>
Title: Computational Geometry
Description: Library for geometric computing extending MatGeom functions. Useful to create, transform, manipulate and display geometric primitives.
Depends: octave (>= 3.4.0), general (>= 1.3.0)
Autoload: no
License: GPLv3+, FreeBSD
Url: http://octave.sf.net, http://matgeom.sf.net, http://davis.wpi.edu/~matt/courses/clipping/, https://bitbucket.org/jgpallero/octclip

=== inst/octclip/src/Makefile ===
--- 
+++ 
@@ -3,8 +3,9 @@
 MKOCTFILE := mkoctfile
 endif
 
-CLIPOBJECT = compilador.o errores.o eucli.o fgeneral.o greiner.o polig.o \
-             ptopol.o segmento.o ventorno.o
+CLIPOBJECT = calctopo.o compilador.o dpeucker.o errores.o eucli.o fgeneral.o \
+             geocnan.o geocomp.o greiner.o polig.o polil.o ptopol.o recpolil.o \
+             segmento.o ventorno.o
 FLAGS = -Wall -Wextra
 
 %.o: %.c

=== debian/changelog ===
octave-geometry (1.6.0-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.6.0
  * Drop patch clean-variables-in-pkg-add-del.patch (applied upstream)
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * Add patch install-oct-file.patch
  * debian/rules: Drop code for fixing the permission of *.m files (fixed
    upstream)
  * debian/rules: Remove src/ directory that gets spuriously installed
  * Add patch autoload-yes.patch
  * debian/copyright: Update for new upstream release and simplify

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 31 Oct 2012 21:06:24 +0100

## octave-geometry 1.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Geometry
-Version: 1.6.0
-Date: 2012-10-12
+Version: 1.7.0
+Date: 2013-04-07
 Author: David Legland <david.legland@grignon.inra.fr>, Jose Luis Garcia Pallero <jgpallero@gmail.com>, Juan Pablo Carbajal <carbajal@ifi.uzh.ch>, Simeon Simeonov <sss41@cam.ac.uk>
 Maintainer: Juan Pablo Carbajal <carbajal@ifi.uzh.ch>
 Title: Computational Geometry

=== src/Makefile ===
SUBDIRS = octclip

MKOCTFILE ?= mkoctfile

all:
	# -i - ignore errors
	@for dir in $(SUBDIRS); do $(MAKE) -i -C $$dir; done

clean:
	 @for dir in $(SUBDIRS); do $(MAKE) -C $$dir clean; done
	 rm -f *.oct

=== src/octclip/Makefile ===
# -*- coding: utf-8 -*-
ifndef MKOCTFILE
MKOCTFILE := mkoctfile
endif

CLIPOBJECT = calctopo.o compilador.o dpeucker.o errores.o eucli.o fgeneral.o \
             geocnan.o geocomp.o greiner.o polig.o polil.o ptopol.o recpolil.o \
             segmento.o ventorno.o
FLAGS = -Wall -Wextra

%.o: %.c
	$(MKOCTFILE) $(FLAGS) -I. -c $<

%.oct: %.cc $(CLIPOBJECT)
	$(MKOCTFILE) $< $(CLIPOBJECT) $(FLAGS) -v  -I. 

all: _oc_polybool.oct
	cp _oc_polybool.oct ..

clean:
	rm -rf *.o *~

=== debian/changelog ===
octave-geometry (1.7.0-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:50:32 +0000

octave-geometry (1.7.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.7.0
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact
  * Drop patch install-oct-file.patch (applied upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 May 2013 11:49:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1), python-lxml,
  gnuplot-nox, octave-general (>= 1.3.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/geometry/
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-geometry.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-geometry.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

pkg = octave-geometry

install/$(pkg)::
	# Remove file with Python bytecode
	find debian/$(pkg) -name \*.pyc -exec rm \{} \;
	# Remove spurious src directory
	@echo "************************************************************"
	@echo "Warning: check whether this fix is still needed:"
	rm -rf $$(find debian/$(pkg) -name src)
	@echo "************************************************************"

=== debian/watch ===
version=3
http://sf.net/octave/geometry-(.+)\.tar\.gz

## octave-geometry 2.1.0

=== DESCRIPTION ===
Name: Geometry
Version: 2.1.0
Date: 2016-02-04
Author: Juan Pablo Carbajal <ajuanpi+dev@gmail.com>, Simeon Simeonov <sss41@cam.ac.uk>, David Legland <david.legland@grignon.inra.fr>,
Maintainer: Juan Pablo Carbajal <ajunapi+dev@gmail.com>
Title: Computational Geometry
Description: Library for geometric computing extending MatGeom functions. Useful to create, transform, manipulate and display geometric primitives.
Depends: octave (>= 4.0.0)
Autoload: no
License: GPLv3+, FreeBSD
Url: http://octave.sf.net, https://github.com/dlegland/matGeom

=== debian/changelog ===
octave-geometry (2.1.0-1) unstable; urgency=medium

  * Imported Upstream version 2.1.0
  * d/control:
    - Use secure URIs in the Vcs-* fields
    - Bump Standards-Version to 3.9.7 (no changes needed)
  * d/p/indexing-cell-array.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 13 Feb 2016 21:58:53 +0100

octave-geometry (2.0.0-1) unstable; urgency=medium

  * Imported Upstream version 2.0.0
  * Package is arch:all now
  * d/copyright: Reflect upstream changes
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * d/p/indexing-cell-array.patch: New patch
  * Bump build-dependency on octave-pkg-dev, for proper unit testing
  * Drop octave-general from Build-Depends
  * d/rules: Exclude drawLine.m from the unit testing list

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 13 Sep 2015 04:58:33 -0300

octave-geometry (1.7.0-2) unstable; urgency=medium

  * Team upload.

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * d/copyright: Remove some obsolete files and wildcards

  [ Sébastien Villemot ]
  * Uploaders: set as Rafael Laboissiere.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 27 Sep 2014 15:53:06 +0200

=== debian/control ===
Source: octave-geometry
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>> 1.2.0), python-lxml,
 gnuplot-nox
Standards-Version: 3.9.7
Homepage: http://octave.sourceforge.net/geometry/
Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-geometry.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-geometry.git

Package: octave-geometry
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}, python,
 python-lxml
Description: geometric computing functions for Octave
 This package extends the MatGeom functions for Octave, a scientific
 computing software.  It is useful to create, transform, manipulate and
 display geometric primitives in 2D.  It also contains functions for
 performing boolean operations between two polygons and to manipulate files
 in SVG and gmsh formats.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

OCTPKG_EXCLUDE_TEST = drawLine.m

pkg = octave-geometry

install/$(pkg)::
	# Remove file with Python bytecode
	find debian/$(pkg) -name \*.pyc -exec rm \{} \;

## octave-geometry 2.1.1

=== debian/changelog ===
octave-geometry (2.1.1-1) unstable; urgency=medium

  * Imported Upstream version 2.1.1
  * d/control: Bump Standards-Version to 3.9.8 (no changes needed)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 14 May 2016 20:47:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>> 1.2.0), python-lxml,
  gnuplot-nox
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://octave.sourceforge.net/geometry/
 Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-geometry.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-geometry.git

## octave-geometry 3.0.0

=== DESCRIPTION ===
Name: geometry
Version: 3.0.0
Date: 27-03-2017
Author: Juan Pablo Carbajal <ajuanpi+dev@gmail.com>,
Philip Neuhius <prnienhuis@users.sf.net>,
Simeon Simeonov <sss41@cam.ac.uk>,
David Legland <david.legland@nantes.inra.fr>,
Maintainer: Juan Pablo Carbajal <ajuanpi+dev@gmail.com>
Title: Computational Geometry
Description: Library for geometric computing extending MatGeom functions.
Useful to create, transform, manipulate and display geometric primitives.
Depends: octave (>= 4.0.1)
Autoload: no
License: GPLv3+, FreeBSD, Boost v1.0
Url: http://octave.sf.net, https://github.com/dlegland/matGeom

=== src/Makefile ===
all: clipper.mex

MKOCTFILE ?= mkoctfile

%.mex: %.cpp
	$(MKOCTFILE) -Wall -mex -s clipper.cpp mexclipper.cpp

clean:
	rm -f *.o octave-core core *.oct *.mex *~

=== debian/changelog ===
octave-geometry (3.0.0-6) unstable; urgency=medium

  * d/rules: Allow reproducible build.
    Thanks to Chris Lamb for the patch (Closes: #890104)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 11 Feb 2018 19:38:42 -0200

octave-geometry (3.0.0-5) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:30:54 -0200

octave-geometry (3.0.0-4) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:36 -0200

octave-geometry (3.0.0-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/watch: bump to format version 4.
  * d/copyright: use secure URL for format.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 27 Jun 2017 16:21:50 -0300

octave-geometry (3.0.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Bump Standards-Version to 4.0.0

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 27 Jun 2017 15:33:43 -0300

octave-geometry (3.0.0-1) experimental; urgency=medium

  * New upstream version 3.0.0
  * d/copyright: Reflect upstream changes
  * d/control:
    - Use cgit instead of gitweb in Vcs-Browser URL
    - Package is Arch any now

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 09 Apr 2017 03:52:32 -0300

=== debian/control ===
Source: octave-geometry
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper (>= 11), dh-octave, python-lxml,
 gnuplot-nox
Standards-Version: 4.1.3
Homepage: http://octave.sourceforge.net/geometry/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-geometry.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-geometry
Testsuite: autopkgtest-pkg-octave

Package: octave-geometry
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}, python,
 python-lxml
Description: geometric computing functions for Octave
 This package extends the MatGeom functions for Octave, a scientific
 computing software.  It is useful to create, transform, manipulate and
 display geometric primitives in 2D.  It also contains functions for
 performing boolean operations between two polygons and to manipulate files
 in SVG and gmsh formats.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OCTAVE_EXCLUDE_TEST = drawLine.m

%:
	dh $@ --buildsystem=octave --with=octave

override_dh_installdeb:
	# Remove file with Python bytecode
	find debian/octave-geometry -name \*.pyc -exec rm \{} \;
	dh_installdeb

## octave-geometry 4.0.0

=== src/Makefile ===
all: clipper.mex polybool_mrf.oct

MKOCTFILE ?= mkoctfile

OBJS = \
  connector.o \
  martinez.o \
  polygon.o \
  utilities.o

%.mex: %.cpp
	$(MKOCTFILE) -Wall -mex -g clipper.cpp mexclipper.cpp

%.o: %.cpp
	$(MKOCTFILE) -c $< -o $@

%.oct: %.cc
	$(MKOCTFILE) $< -o $@

polybool_mrf.oct: $(OBJS) polybool_mrf.cc
	$(MKOCTFILE) $(OBJS) polybool_mrf.cc -o $@

clean:
	rm -f *.o *.oct PKG_* *.o octave-core core *.oct *.mex *~

.PHONY: all clean

=== debian/changelog ===
octave-geometry (4.0.0-6) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector
  * d/copyright: Update Copyright years for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 06:36:21 -0300

octave-geometry (4.0.0-5) unstable; urgency=medium

  * Team upload

  [ Rafael Laboissière ]
  * d/copyright: Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * Set upstream metadata fields: Archive.

  [ Sébastien Villemot ]
  * octave7.patch: new patch, fixes FTBFS against Octave 7 (Closes: #1009137)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 11 Apr 2022 15:33:27 +0200

octave-geometry (4.0.0-4) unstable; urgency=medium

  * Upload to unstable (really, closes: #984266)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 16 Aug 2021 12:26:27 -0300

octave-geometry (4.0.0-3) experimental; urgency=medium

  * d/rules: Use execute_before_ instead of override_dh_installdeb
  * d/p/compile-with-g++-v11.patch: New patch (Closes: #984266)
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 06 Jul 2021 05:40:44 -0300

octave-geometry (4.0.0-2) unstable; urgency=medium

  * d/control: Bump debhelper compatibility level to 13
  * d/u/metadata: Drop Name and Contact fields
  * d/p/skip-unit-tests-svg.patch: Set Forwarded: not-needed

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 07:59:26 -0300

octave-geometry (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * Drop patches (applied upstream):
    + d/p/format-in-description.patch
    + d/p/do-not-strip-debugging-symbols.patch
    + d/p/use-python3.patch
  * d/copyright: Reflect upstream changes
  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Adjust for new upstream description
  * d/rules: Remove leftover __pycache__ directory

 -- Rafael Laboissière <rafael@debian.org>  Tue, 14 Apr 2020 18:17:35 -0300

octave-geometry (3.0.0-10) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 05 Nov 2019 00:42:09 -0300

octave-geometry (3.0.0-9) unstable; urgency=medium

  * d/p/do-not-strip-debugging-symbols.patch: New patch (Closes: #918559)
  * Migrate to Python 3
    + d/control: Depend and build-depend on python3 and python3-lxml
    + d/p/use-python3.patch: New patch
    + d/rules: Adjust code for deletion of byte-compiled files
  * d/octave-geometry.lintian-overrides: Remove unused override

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 07 Jan 2019 13:45:11 -0200

octave-geometry (3.0.0-8) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:55:40 -0200

octave-geometry (3.0.0-7) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/rules: Allow running of the unit test in drawLine.m
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.1
  * d/p/format-in-description.patch: New patch.
    Thanks to James Van Zandt (Closes: #914380)
  * d/octave-geometry.lintian-overrides: New file

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 23 Nov 2018 19:23:00 -0200

=== debian/control ===
Source: octave-geometry
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-octave,
               gnuplot-nox,
               octave-matgeom,
               python3-lxml
Standards-Version: 4.6.1
Homepage: https://octave.sourceforge.io/geometry/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-geometry.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-geometry
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-geometry
Architecture: any
Depends: ${misc:Depends},
         ${octave:Depends},
         ${shlibs:Depends},
         python3,
         python3-lxml
Description: extension of MatGeom functionality in Octave
 This package extends the MatGeom functions for Octave, a scientific
 computing software.  It is useful to create, transform, manipulate and
 display geometric primitives in 2D.  It also contains functions for
 performing boolean operations between two polygons and to manipulate files
 in SVG and gmsh formats.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

execute_before_dh_installdeb:
	@echo "*********************************************************"
	@echo "Warning: check whether the following fix is still needed:"
	@echo "*********************************************************"
	rm -rf $$(find debian/octave-geometry -name __pycache__) -

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/geometry/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/geometry-(.+).tar.gz

## octave-geometry 4.1.0

=== DESCRIPTION ===
Name: geometry
Version: 4.1.0
Date: 16-03-2024
Author: Juan Pablo Carbajal <ajuanpi+dev@gmail.com>,
 Philip Nienhuis <prnienhuis@users.sf.net>,
 Simeon Simeonov <sss41@cam.ac.uk>,
Maintainer: Juan Pablo Carbajal <ajuanpi+dev@gmail.com>
Title: Computational Geometry
Description: Library for extending MatGeom functionality.
Depends: octave (>= 4.2.0), matgeom (>= 1.0.0)
Autoload: no
License: GPLv3+, Boost v1.0
Url: https://octave.sourceforge.io/geometry/

=== debian/changelog ===
octave-geometry (4.1.0-3) unstable; urgency=medium

  * d/watch: Fix Matching-Pattern
  * d/s/lintian-overrides: Fix override for Lintian warning
    debian-watch-lacks-sourceforge-redirector
  * d/control: Drop superfluous dependency on python3

 -- Rafael Laboissière <rafael@debian.org>  Tue, 23 Sep 2025 04:15:44 -0300

octave-geometry (4.1.0-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
    + In nocheck profile, do not include gnuplot-nox, octave-matgeom,
      and python3-lxml as build-dependencies
  * d/rules: Only remove the __pycache__ directories when the unit
    tests are run
  * d/watch: Convert to format version 5
  * d/s/lintian-overrides: Update override for Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 22 Sep 2025 11:40:01 -0300

octave-geometry (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/copyright:
    + Update Source URL
    + Reflect upstream changes
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
  * d/p/skip-unit-tests-svg.patch: Drop patch (applied upstream)
  * d/p/compile-with-g++-v11.patch: Drop patch (applied upstream)
  * d/p/octave7.patch: Drop patch (fixed upstream)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 23 Mar 2024 13:50:02 -0300

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,20 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave,
-               gnuplot-nox,
-               octave-matgeom,
-               python3-lxml
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/geometry/
+               gnuplot-nox <!nocheck>,
+               octave-matgeom <!nocheck>,
+               python3-lxml <!nocheck>
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/geometry/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-geometry.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-geometry
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-geometry
 Architecture: any
 Depends: ${misc:Depends},
          ${octave:Depends},
          ${shlibs:Depends},
-         python3,
          python3-lxml
 Description: extension of MatGeom functionality in Octave
  This package extends the MatGeom functions for Octave, a scientific

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
execute_before_dh_installdeb:
	rm -r $$(find debian/octave-geometry -name __pycache__)
endif

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/geometry/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/geometry-@ANY_VERSION@@ARCHIVE_EXT@
